
/* EX10.C : An example program for the Hecke Algebra multiplication. 
	    Input:  1) two Hecke algebra elements (each a q-linear
		       combination of permutations);
                    2) exit or repeat.
	    Output: 1) the result of the product of the two elements. 
*/ 

#include "def.h"
#include "macro.h"

main()
{
OP p,h1,h2;
char string[8];

anfang();

do
{  fprintf(stderr,"Enter 1st linear combination of permutations.\n");
   input_lc_permutations(h1=callocobject());
   
   fprintf(stderr,"Enter 2nd linear combination of permutations.\n");
   input_lc_permutations(h2=callocobject());
   
   printf("Their product is:\n");
   hecke_mult(h1,h2,p=callocobject());
   println(p);

   fprintf(stderr,"Do another?\n");
   scanf("%6s",string);

   freeall(h1);
   freeall(h2);
   freeall(p);

}  while (string[0]=='y' || string[0]=='Y');

ende();
}

