
/* EX11.C : An example program for the Hecke Algebra multiplication. 
	    Input:  1) Hecke algebra element 
			 (a q-linear combination of permutations);
		    2) a q-monomial (a*q^b);
                    3) exit or repeat.
	    Output: 1) the result of the product of the two elements. 
*/ 

#include "def.h"
#include "macro.h"

main()
{
OP p,c,h1;
char string[8];

anfang();

do
{  fprintf(stderr,"Enter q-linear combination of permutations.\n");
   input_lc_permutations(h1=callocobject());
   
   fprintf(stderr,"Enter power.\n");
   scan(INTEGER,p=callocobject());

   fprintf(stderr,"Enter coeff.\n");
   scan(INTEGER,c=callocobject());
   
   printf("The product is:\n");
   hecke_scale(h1,p,c);
   println(h1);

   fprintf(stderr,"Do another?\n");
   scanf("%6s",string);

   freeall(h1);
   freeall(c);
   freeall(p);

}  while (string[0]=='y' || string[0]=='Y');

ende();
}

