
/* EX3.C : An example program for the Hecke Algebra matrix generators.
	   Input:  1) partition;
		   2) tableau.
	   Output: 1) dimension of Specht module;
                   2) result of standardisation process on given tableau. 
*/ 

#include "def.h"
#include "macro.h"

main()
{
OP p,d,t,l,e;
INT erm;

anfang();
english_tableau=TRUE;

p = callocobject();
d = callocobject();
t = callocobject();
l = callocobject();
e = callocobject();

scan(PARTITION,p);
dimension_partition(p,d);

printf("The representation corresponding to partition ");
print(p);
printf(" has dimension ");
println(d);

printf("Enter a tableau of shape ");
println(p);

erm=input_tableau(p,t);
printf("Entered tableau:\n");
println(t);
   
build_lc(t,l);

if (erm!=ERROR)
{
   standardise_cold_tableaux_list(l,e);
   printf("In terms of standard tableaux, this tableau equals:\n");
   println(e);
}

freeall(p);
freeall(d);
freeall(l);       /* don't free t */
freeall(e);
ende();
}

